Page MenuHome

User defined 3D view presets
Closed, InvalidPublicPATCH

Description

Project: Blender Extensions
Tracker: Py Scripts Upload
Blender: 2.62
Category: 3D View
Python: 3.2
Script name: Stored Views
Author(s): nfloyd
Status: >Contrib

Features:
=======
Stored Views has 4 modes of operation, depending on which the following are saved or restored:

POV - point of view, perspective mode: perspective, orthographic or camera, field of view : lens, clipping, view lock : center of rotation, cursor or object
LAYERS - visible scene or view layers, layers lock : determining if scene or views layers are visisble
DISPLAY - viewport shading, show only render, show outiline selected, show relationship lines, grid : show and settings, axis visibility, material mode, texture solid, quadview settings
VIEW - all of the pov, layers and display settings

Import / Export :
Stored views can be imported/exported to a .blsv file (largely inspired from Theme Manager from Crouch). Settings can also be imported from an another scene. Import/Export can be filtered according to modes. Settings imported can either be added to existing ones, or replace them.

Optionally, the current stored view name can be displayed in 3d view upper left corner

Setup:
=====
Put the script file in your addons folder, then enable it in user preferences

Manual:
======
http://vimeo.com/23716437

Event Timeline

added wiki page :
http://wiki.blender.org/index.php/Extensions:2.5/Py/Scripts/3D_interaction/stored_views

Hi,
Just a Reminder for people to Join the Mail List.
If you have not already, please visit this page:
http://lists.blender.org/mailman/listinfo/bf-extensions-cvs
& join the list.

ok this script is fantastic and is a much requested feature, but, the IO should be in an IO script its own not in the view buttons, also the views section has bugs in current svn the active 'view'does not remain active and previous button is of little use, I recommend this be moved to contrib for furthur design/development and clean up

Hi,
Due to changes to the api including the merging of bmesh, several addons are outdated.
Please, if you are the author of an addon check your script with blender revision 44256 or newer.
That is builds made After blender 2.62 official release.
I would ask that updates be made to your addon before the Blender 2.63 release.
6-8 weeks away.
This allows time for the api to become more exposed & bmesh to stablize furthur.
If you need help, drop into irc freenode #blenderpython or #blendercoders & feel welcome to ask questions.
At the time of 2.63 release, scripts that are not repaired or in active developement will have their tracker page marked "Closed"
this will not affect your links to the tracker, similar to closing scripts in 2.49b, the page will be still availible & can be re-opened.

Thanks for your understanding & patience during these Exciting Times.
Brendon.

hi, this addon isvery nice thanks,
could you please contact us.
it would be good to see this developed in contrib

this should definitely be in contrib, I need this in every svn trunk build I make.

marked for contrib, this isa really nice tool :)

Brendon Murphy (meta-androcto) changed the task status from Unknown Status to Unknown Status.Apr 24 2012, 3:01 PM

broken as of blender v2.65.8 due to context restriction on register() and API change to draw handlers (callback_add/callback_remove have been replaced, r53207)

I tried to fix the resulting errors and seems to work again:
http://blenderartists.org/forum/showthread.php?279007-Stored-Views-add-on-in-2-65&p=2290655#post2290655

Hi nfloyd,

Desoled but your very usable add-on don't run now with the new Blender 2.66!
I have used the Sebastian fix but it's not the solution. Error too!
Good luck!
Spirou4D

Just re-tested my fixed version of the addon with most recent r54595, works fine. What's the exact error, Jean?

Please update script to blender 2.7.1
very very helpful...

Brendon Murphy (meta-androcto) changed the task status from Unknown Status to Unknown Status.Jul 11 2014, 8:34 PM

hi, updated to 2.71
http://wiki.blender.org/index.php/Extensions:2.6/Py/Scripts/3D_interaction/stored_views
commented out quad view code. it may be fixable but the addon now works as expected in single view.
There's too many prints to the console that need to be adressed & some other fixes needed.
reopening & I would like to continue development in contrib.
Thanks.

added new Camera To view function.adding to contrib.
commit: rBACf0d811cbea8cf141d36bec0dd7678286135ba17b
sorry for delays,
this addon will be developed further & debug info removed shortly.
I would like to await some reports & clean up before submit for review to release addons.

Brendon Murphy (meta-androcto) changed the task status from Unknown Status to Unknown Status.Sep 1 2015, 11:09 AM

Archiving task, addon is in contrib addons.
*note we are not maintaining pages for addons in contrib or release,
bugs may be reported here: https://developer.blender.org/maniphest/project/3/type/Bug/